# Einstieg

## Wer wir sind und was wir tun

## Philosophie

## Treffen


# Mitmachen
Auch wenn Freifunk hauptsächlich aus dem Bauen von Netzwerken besteht, brauchst du nicht unbedingt technisches Fachwissen mitzubringen, um beim Freifunk mitzumachen.
Auch [..] können sich beim Freifunk super einbringen und die Community unterstützten.

## Wahl der Firmware-Variante
Durch die sehr verschiedenen Ziele und damit verschiedenen Anforderungen haben sich über die Zeit zwei Firmware-Varianten entwickelt.

### Layer 3
Die Layer 3 Firmware ist die neuere der beiden Varianten. Bei dieser Variante [..]

### Node
Die Node Variante [..]

# Unterstützte Geräte
Zwar sind die nötigen Anpassungen in der Firmware zur Unterstützung neuer Geräte meistens relativ wenig, dennoch muss ein von der Firmware unterstützes Gerät von den Entwicklern gepflegt und bei jeder Änderung berücksichtigt werden.

Daher unterstützt unsere Firmware nur einen kleinen Teil der von OpenWrt unterstützten Geräte, die im folgenden nach Hersteller sortiert aufgelistet und kurz beschrieben werden.

Wenn du schon ein wenig Erfahrung mit Netzwerkkonfiguration hast und ein wenig mit Shell-Skripten umgehen kannst, ist es auch relativ einfach die Freifunk Firmware auf ein bereits von OpenWrt unterstütztes Gerät zu portieren. <!-- TODO: Link -->

## TP-Link
- Archer C2600
- Archer C7 (v2,v5)
- Archer C25
- Archer C50 (v3, v4)
- Archer C60 (v1, v2)
- TL-WDR3500
- TL-WDR3600
- TL-WDR4300
- TL-WDR4310
- TL-WDR4900
- TL-WR1043
- 
## Ubiquiti
- PicoStation M
- NanoStation M
 
## AVM
- Fritz!Box 4040

## GL.iNet
- GL-AR150

## Joy-IT
- JT-OR750i


# Installation der Firmware
Sowohl Installation und Update der Firmware unterscheidet sich kaum von OpenWrt. Die gerätespezifischen Schritte bei der Erstinstallation sind bereits im OpenWrt Wiki gut beschrieben, daher wird der gerätespezifische Teil der Installation nur für die verbreitetsten Geräte beschrieben.

## Vorwort
Einen Freifunkrouter stellt man nicht einfach hin und überlässt ihn sich selbst – wie es eigentlich für sämtliche am Internet angeschlossene Geräte gilt, wenn es auch oft genug nicht beachtet wird –, sondern man übernimmt langfristig Verantwortung, v. a. was regelmäßige Updates und Übernahme größerer Änderungen im Netzwerk angeht. Diese werden mit hinreichend großem Vorlauf angekündigt. Wenn diese trotzdem nicht beachtet werden, läuft man Gefahr, dass der Router irgendwann nicht mehr funktioniert oder, wenn er Störungen im Netz produziert, gesperrt wird. Das gilt gerade auch für Freifunkrouter, wo eigene Modifikationen – die wir explizit unterstützen - vorgenommen wurden.

**Der Routeraufsteller/Betreiber ist für seinen Router verantwortlich. Dies gilt auch für die Einstellungen wie z. B. Sendeleistung.**

Auch sollte man zumindest grundlegendes Interesse an der Technik mitbringen. Aber keine Panik: Freifunkrouter sind im Allgemeinen sehr pflegeleicht.

Durch das Betreiben eines Freifunkrouters stimmt man dem Pico Peering Agreement (PPA) zu.

## Erstinstallation
Die Erstinstallation ist meist etwas komplizierter als das Update, da zunächst die Herstellersoftware durch die Freifunk-Firmware/OpenWrt ersetzt werden muss.

Dies kann meistens - aber nicht immer - über die Update-Seite der Herstellerfirmware gemacht werden. Da diese ein spezielles Dateiformat erfordert, gibt es dafür die speziell dafür vorgesehenen `*-factory.*` Firmware-Images.

Bei den meisten Geräte kann dieses factory-Image direkt über die Update-Seite der Herstellerfirmware hochgeladen und installiert werden. Nach der Installation bootet das Gerät dann auch schon die Freifunk-Firmware.

Bei manchen Geräte ist die Installation allerdings etwas komplizierter, funktioniert aber immer analog zu der Installation von OpenWrt. Im Zweifel kann auch einfach zuerst OpenWrt installiert, und dann von OpenWrt das `*-sysupgrade.*` Image (als Update) installiert werden.

## Update
Die Aktualisierung der Firmware funktioniert auf jedem Gerät gleich. Es gibt mehrere Möglichkeiten ein Update zu installieren.

Es muss dabei immer das `*-sysupgrade.*` Image verwendet werden, egal welche der Möglichkeiten gewählt wird.

Wenn ein Upgrade von einer älteren Freifunk-Franken Firmware auf eine neuere Version erfolgt, können die Einstellungen behalten werden. Andernfalls sollten die Einstellungen nicht übernommen werden, insbesondere dann, wenn auf eine andere Firmware (OpenWrt, Firmware einer anderen Community, inoffizielle Firmware, ..) gewechselt wird.

### Über das WebUI
<!-- TODO -->

### Über das Update-Skript
<!-- TODO -->

### Über SSH
<!-- TODO -->


# Konfiguration der Firmware

## Layer3

## Node
